package de.fhg.fokus.edp.chatbot_sparql_service.model;

import java.util.List;

public class DatasetRequest {

    // required to store state for multiple bots
    private String botId;

    private String intent;

    // String of keywords, as would be expected in full-text search
    private String searchTerms;

    private List<DateConstraint> dateConstraints;

    // All constraints that modify the results; for example language, format, or spatial
    private List<Entity> entities;

    // Offset from the search results to be returned
    private int offset = 0;

    private Integer pageSize;

    private String mode;


    public String getBotId() {
        return botId;
    }

    public void setBotId(String botId) {
        this.botId = botId;
    }

    public String getIntent() {
        return intent;
    }

    public void setIntent(String intent) {
        this.intent = intent;
    }

    public String getSearchTerms() {
        return searchTerms;
    }

    public void setSearchTerms(String searchTerms) {
        this.searchTerms = searchTerms;
    }

    public List<DateConstraint> getDateConstraints() {
        return dateConstraints;
    }

    public void setDateConstraints(List<DateConstraint> dateConstraints) {
        this.dateConstraints = dateConstraints;
    }

    public List<Entity> getEntities() {
        return entities;
    }

    public void setEntities(List<Entity> entities) {
        this.entities = entities;
    }

    public int getOffset() {
        return offset;
    }

    public void setOffset(int offset) {
        this.offset = offset;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    @Override
    public String toString() {
        return "DatasetRequest{" +
            "botId='" + botId + '\'' +
            ", intent='" + intent + '\'' +
            ", searchTerms='" + searchTerms + '\'' +
            ", dateConstraints=" + dateConstraints +
            ", entities=" + entities +
            ", offset=" + offset +
            ", pageSize=" + pageSize +
            ", mode='" + mode + '\'' +
            '}';
    }
}
