package de.fhg.fokus.edp.chatbot_sparql_service.model.rdf;

import org.apache.jena.rdf.model.Model;
import org.apache.jena.rdf.model.ModelFactory;
import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;

public class AUTHORITY {

    /** <p>The RDF model that holds the vocabulary terms</p> */
    private static final Model m_model = ModelFactory.createDefaultModel();

    /** <p>The namespace of the vocabulary as a string</p> */
    public static final String NS = "http://publications.europa.eu/ontology/authority/";

    /** <p>The namespace of the vocabulary as a string</p>
     *  @see #NS */
    public static String getURI() {return NS;}

    /** <p>The namespace of the vocabulary as a resource</p> */
    public static final Resource NAMESPACE = m_model.createResource(NS);

    public static final Property opMappedCode = m_model.createProperty(NS + "op-mapped-code");
    public static final Property legacyCode = m_model.createProperty(NS + "legacy-code");
    public static final Property authorityCode = m_model.createProperty(NS + "authority-code");
}
